New Question
0

centos-release-ceph-jewel conflicts with centos-release-ceph-hammer-1.0-5.el7.centos.noarch

asked 2016-10-04 05:01:52 +0300

ADarkDividedGem gravatar image

updated 2016-10-04 05:04:07 +0300

When running the v-magine installer it fails on the following error:

Loading mirror speeds from cached hostfile
* base: mirror.sov.uk.goscomb.net
* extras: mirrors.melbourne.co.uk
* updates: centos.serverspace.co.uk
Resolving Dependencies
--> Running transaction check
---> Package centos-release-openstack-mitaka.noarch 0:1-2.el7.centos will be updated
---> Package centos-release-openstack-mitaka.noarch 0:1-5.el7 will be an update
--> Processing Dependency: centos-release-ceph-hammer for package: centos-release-openstack-mitaka-1-5.el7.noarch
---> Package mariadb-libs.x8664 1:5.5.50-1.el72 will be updated
---> Package mariadb-libs.x8664 1:10.1.12-4.el7 will be an update
--> Processing Dependency: mariadb-common(x86-64) = 1:10.1.12-4.el7 for package: 1:mariadb-libs-10.1.12-4.el7.x86
64
--> Running transaction check
---> Package centos-release-ceph-hammer.noarch 0:1.0-5.el7.centos will be installed
---> Package mariadb-common.x8664 1:10.1.12-4.el7 will be installed
--> Processing Dependency: /etc/my.cnf for package: 1:mariadb-common-10.1.12-4.el7.x86
64
--> Running transaction check
---> Package mariadb-config.x8664 1:10.1.12-4.el7 will be installed
---> Package mariadb-libs.x86
64 1:5.5.50-1.el72 will be updated
---> Package mariadb-libs.x86
64 1:5.5.50-1.el7_2 will be updated
--> Processing Conflict: centos-release-ceph-jewel-1.0-1.el7.centos.noarch conflicts centos-release-ceph < 10.2
--> Finished Dependency Resolution
Error: centos-release-ceph-jewel conflicts with centos-release-ceph-hammer-1.0-5.el7.centos.noarch
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest

edit retag flag offensive close merge delete

1 answer

Sort by » oldest newest most voted
1

answered 2016-10-04 13:10:07 +0300

danardelean gravatar image

updated 2016-10-04 13:41:13 +0300

Hello. As a temporary workaround please edit the following file:

  1. In the v-magine folder, in resources, edit install-rdo.sh
  2. at line 243 add '--skip-broken'

So the new line will look something like this 'execwithretry 5 0 /usr/bin/yum update -y --skip-broken'

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

2 followers

Stats

Asked: 2016-10-04 05:01:52 +0300

Seen: 532 times

Last updated: Oct 04 '16